package com.gic.haoban.manage.web.vo.chat;

import com.gic.haoban.manage.web.vo.wechatwork.StoreGroupCommonVO;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-06-20 16:03:46
 */
public class GroupChatExitDetailVO  extends StoreGroupCommonVO implements Serializable {

    private static final long serialVersionUID = 3086597285873607576L;

    /**
     * 会员id
     */
    private String memberId;

    /**
     * 会员昵称
     */
    private String memberNick;

    /**
     * 会员名称
     */
    private String memberName;

    /**
     * 会员手机号
     */
    private String memberNumber;

    /**
     * 用户身份
     */
    private String userType	;

    /**
     * 群id
     */
    private String groupChatId;

    /**
     * 群名称
     */
    private String groupChatName;

    /**
     * 群主id
     */
    private String staffId;

    /**
     * 群主名称
     */
    private String staffName;

    /**
     * 群主code
     */
    private String staffCode;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购code
     */
    private String clerkCode;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 退群时间
     */
    private String userQuitTime;

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberNick() {
        return memberNick;
    }

    public void setMemberNick(String memberNick) {
        this.memberNick = memberNick;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberNumber() {
        return memberNumber;
    }

    public void setMemberNumber(String memberNumber) {
        this.memberNumber = memberNumber;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getGroupChatId() {
        return groupChatId;
    }

    public void setGroupChatId(String groupChatId) {
        this.groupChatId = groupChatId;
    }

    public String getGroupChatName() {
        return groupChatName;
    }

    public void setGroupChatName(String groupChatName) {
        this.groupChatName = groupChatName;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getStaffCode() {
        return staffCode;
    }

    public void setStaffCode(String staffCode) {
        this.staffCode = staffCode;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getUserQuitTime() {
        return userQuitTime;
    }

    public void setUserQuitTime(String userQuitTime) {
        this.userQuitTime = userQuitTime;
    }
}
